html,
body,
div,
form,
fieldset,
legend,
img,
p,
h1,
h2,
h3,
hr,
span,
dl,
dd,
dt,
ul,
li {
  padding: 0;
  margin: 0;
  border: 0;
  outline: 0;}

body
{
  font-family: sans-serif;
}

p
{
  margin-bottom: 1em;
}

h1, h2, h3
{
  margin: 0.5em 0;
}

#logos img
{
  border-style: none;
}

#header
{
  padding-top: 0.5em;
  background-color: #559acc;
  color: #fff;
  text-shadow: 0px 0px 2px #000;
}

#header .wrapper {
  display: inline;
}

#header a
{
  text-decoration: none;
  color: #fff;
}

#header p
{
  margin: 0;
}

#header h1
{
  font-family: 'Open Sans', sans-serif;
  font-size: 2.5em;
  display: inline-block;
  margin: 0;
  line-height: 64px;
}

#header .bar li a {
  color: #fff;
  text-shadow: 0px 0px 2px #000;
  }

#header .bar li a:hover {
  color: #00a;
  text-shadow: 0px 0px 3px #07f;
  }

#header .img {
  margin: 0 5%;
  width: 64px;
  height: auto;
  float: left;
}

p.small {
  font-size: 0.9em;
}

#header p.small {
  margin-top: 1.0em;
  text-align: center
}

.bar {
  text-align: center;
  font-size: 1.0em;
  }

.bar li {
  display: inline-block;
  padding: 0.3em 0.4em;
  margin: 0.4em 0;
  border-right: 1px solid #000;
  border-left: 1px solid transparent;
  }

.bar li:last-child {
  border-right: 1px solid transparent;
  }

.bar li a {
  text-decoration: none;
  }

hr.top {
  border-bottom: solid 1px #777;
}
hr.bottom {
  border-top: solid 1px #ccc;
}

#pinyinput
{
  text-align: left;
  margin: 0 0.5em;
}

#pinyinput h1
{
  margin: 1em 0;
  font-size: 1.5em;
}

#pinyinput h2 {
  font-size: 1.2em;
}

#pinyinput ul
{
  padding-left: 2.0em;
  margin-bottom: 1em;
}

#pinyinput p {
  font-size: 1.2em;
  line-height: 1.3em;
}

#free {
  margin-top: 1em;
}

#copyright
{
  text-align: center;
}

#pinyinput a
{
  text-decoration: none;
}

#logos
{
  text-align: center;
}

.gap
{
  padding-left:1.3em;
}

.no-border
{
  border: none;
}

.centered
{
  text-align: center;
}

img.centered
{
  margin-left: auto;
  margin-right: auto;
  display: block;
}

#pinyinput img {
  max-width: 98%;
  height: auto;
}

figure {
  margin: 1.0em 0;
  padding: 0;
}

.clear-right
{
  clear: right;
}

.clear
{
  clear: both;
}

.top
{
  margin-top: 0;
  padding-top: 0;
}

h2 a
{
  color: black;
}

#hanzi-grids div
{
  display: block;
}

#hanzi-grids a
{
  font-weight: bold;
  font-size: 1.1em;
}
#hanzi-grids img
{
  width: 250px;
  display: block;
  margin-bottom: 0.5em;
}

#purchase-stats
{
  width: 200px;
  text-align: left;
  border: solid 1px blue;
  float: left;
  border-radius: 5px;
  background-color: #eef;
  color: #00a;
}

#purchase-stats ul
{
  padding: 0 0.5em;
  list-style: none;
}

#purchase-stats ul li
{
  margin: 0.3em 0;
}

.stat-amount
{
  display: inline-block;
  text-align: right;
  float: right;
  width: 2em;
}

.initially-hidden
{
  display: none;
}

#provider-notice
{
  margin-left: auto;
  margin-right: auto;
  text-align: center;
  font-size: 0.8em;
  clear: both;
}

#paypal-logo
{
  vertical-align: -15px;
}

#error
{
  border: solid 1px #a00;
  background-color: #faa;
  padding: 0.5em;
  color: #a00;
}

.install-guide-link
{
  margin-top: 20px;
  float: left;
  clear: both;
}

.purchase-button,
.download-link
{
  margin: 20px auto;
  display: block;
  border: solid 1px #00a;
  padding: 0.8em;
  cursor: pointer;
  font-size: 1.2em;
  border-radius: 5px;
  background-color: #11b;
  color: white;
}

.download-link
{
  float: left;
}

#purchase-price
{
  font-size: 1.0em;
  margin-left: 40px;
  float: left;
}

#purchase-price input
{
  font-size: 1.1em;
}

#sponsors {
  text-align: center;
}

#sponsors h1 {
  font-size: 2.5em;
}

#sponsors li {
  list-style: none;
}

#sponsors li.separator {
  width: 300px;
  border-top: solid 1px black;
  margin: 0px auto;
}

#gold {
  padding-top: 0.5em;
}

#gold ul {
  margin: 0 auto;
  width: 90%;
}

#gold h1 {
  color: #ff9;
  text-shadow: 0px 0px 5px #a37300;
  border-top: solid 1px black;
  border-bottom: solid 1px black;
  padding: 0.2em 0;
  background: #ddd;
}

#silver
{
  padding-top: 0.5em;
}

#silver ul {
  margin: 0 auto;
  width: 90%;
}

#silver h1 {
  color: #ddd;
  text-shadow: 0px 0px 5px #000;
  border-top: solid 1px black;
  border-bottom: solid 1px black;
  padding: 0.3em 0;
  background: #ff9;
}

#gold li {
  display: inline-block;
  margin-left: 2em;
  margin-bottom: 2em;
}

#silver li {
  display: inline-block;
  margin-left: 2em;
  margin-bottom: 2em;
}

#sponsored-by {
  float: left;
  width: 200px;
  margin: 2.0em 2.5em;
}

#stripe-purchase li {
  list-style: none;
  margin-bottom: 0.8em;
}

.small-font,
.gst-inclusive {
  font-size: 0.8em;
}

.download-button {
  display: inline-block;
  margin: 0.5em 0;
  background: #339ee6;
  background-image: linear-gradient(to bottom, #339ee6, #2b47b8);
  border-radius: 11px;
  color: #ffffff;
  font-size: 1.2em;
  padding: 10px 20px 10px 20px;
  border: solid #063654 1px;
  text-decoration: none;
}

.download-button:hover {
  background: #3cb7fa;
  background-image: linear-gradient(to bottom, #3cb7fa, #343cd9);
  text-decoration: none;
}


#contact {
  list-style: none;
  }

#contact li {
  margin-bottom: 0.8em;
  }

#contact .highlight {
  display: none;
  }

#contact label {
  width: 5em;
  display: inline-block;
  }

#contact .input {
  width: 200px;
  }

#contact .message-label {
  width: 25em;
  }

#contact .error {
  color: red;
  margin: 5px 0;
  padding: 0;
  font-size: 0.8em;
  }

ul.transaction-details {
  list-style: none; }

ul.transaction-details li:first-child {
border-top: solid 1px black; }

ul.transaction-details li {
margin: 0;
padding: 0.5em 0.5em;
border-bottom: solid 1px black; }

ul.transaction-details li:nth-child(odd) {
    background-color: #eeeeff;
}

ul.transaction-details li .highlight {
  display: inline-block;
  font-weight: bold;
  width: 8em; }

.app-badge {
  margin: 2em auto;
  display: block;
  width: 120px;
  height: 40px;
}

@media only screen and ( min-width: 450px ) {
  #header .wrapper {
    display: inline-block;
    margin-left: 1em;
  }

  #header .img {
    margin: 0 0 0 5%;
  }

  #header .wrapper h1 {
    line-height: normal;
    font-size: 2.0em;
  }

  #header .wrapper p {
    margin-top: 0.2em;
  }

  #header ul {
    margin-right: 1.0em;
    text-align: right;
  }

  #pinyinput h1 {
    font-size: 2.0em;
  }

  #pinyinput h2 {
    font-size: 1.5em;
  }

  #hanzi-grids div
  {
    float: left;
  }

  #hanzi-grids img {
    float: left;
  }
}

@media only screen and ( min-width: 768px ) {

  #header {
    display: flex;
    align-items: center;
  }

  #header p.small {
    text-align: left;
  }

  #header .wrapper {
    margin-bottom: 1em;
  }

  #header .img {
    margin-left: 5%;
  }

  #header ul.bar  {
    flex-grow: 2;
    text-align: right;
  }

  #pinyinput {
    width: 700px;
    margin: 0 auto;
  }
}

@media only screen and ( min-width: 900px ) {
  #header .wrapper h1 {
    font-size: 2.5em;
  }

  #header .img {
    width: 80px;
    height: auto;
  }

  #header img {
    width: 80px;
    height: auto;
  }

  #header ul.bar {
    font-size: 1.2em;
  }
  #header ul.bar li {
    padding: 0.3em 0.9em;
  }
}

@media only screen and ( min-width: 1024px ) {

  #header ul.bar {
    font-size: 1.2em;
  }
  #header ul.bar li {
    padding: 0.3em 1.0em;
  }
}

@media only screen and ( min-width: 1200px ) {
  #header .img {
    margin-left: 10%;
  }

  #header ul.bar {
    margin-right: 10%;
  }
}

@media only screen and ( min-width: 1600px ) {
  #header .img {
    margin-left: 15%;
  }

  #header ul.bar {
    margin-right: 15%;
  }
}

@media only screen and ( min-width: 1900px ) {
  #header .img {
    margin-left: 25%;
  }

  #header ul.bar {
    margin-right: 25%;
  }
}
